#version 150

in vec3 Position;
in vec4 Color;

uniform mat4 ModelViewMat;
uniform mat4 ProjMat;

out vec4 vertexColor;
flat out vec4 position;

void main() {
    position = ProjMat * ModelViewMat * vec4(Position, 1.0);
    gl_Position = position;
    vertexColor = Color;
}
